'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.isNumber = function (arg) {
  return !isNaN(arg) && typeof arg === 'number';
};

exports.isEmpty = function (obj) {
  if ((typeof obj === 'undefined' ? 'undefined' : _typeof(obj)) === 'object') {
    return JSON.stringify(obj) === '{}';
  }
  return !obj;
};

exports.build_query = function (obj) {
  var params = [];
  for (var k in obj) {
    var val = obj[k];
    if ((typeof val === 'undefined' ? 'undefined' : _typeof(val)) === 'object') {
      val = JSON.stringify(val);
    }
    params.push(encodeURIComponent(k) + '=' + encodeURIComponent(val));
  }
  return params.join('&');
};

exports.getPerformance = function () {
  var performance = global.performance;
  if (!performance) {
    // eslint-disable-next-line no-console
    console.log('Browser doesn\'t support Performance API');
  }
  return performance;
};

exports.sendLog = function (url) {
  if (!url) return;

  global.sadLog = new Image();
  global.sadLog.onload = global.sadLog.onerror = function () {
    delete global.sadLog;
  };
  global.sadLog.src = url;
};